<?php

namespace Neutrino\Ion3Core\Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Create admin user
        $defaultAdminExists = User::where('username', 'ion3-admin')->exists();
        if (!$defaultAdminExists) {
            User::factory(1)->create([
                'username' => env('ION3_DEFAULT_USER_NAME', 'ion3-admin'),
                'slug' => env('ION3_DEFAULT_USER_NAME', 'ion3-admin'),
                'first_name' => 'Ion3',
                'last_name' => 'Admin',
                'familiar_name' => 'Ion3',
                'display_name' => 'Ion3 Admin',
                'title' => 'Ion3 Administrator',
                'email' => env('ION3_DEFAULT_USER_EMAIL', 'ion3@example.com'),
                'password' => bcrypt(env('ION3_DEFAULT_USER_PASSWORD', 'ion3XMR+')),
            ]);
        }

        // Create other users
        User::factory(10)->create();
    }
}
