<?php

namespace Neutrino\Ion3Core\Enums;

// RESO Reference: https://ddwiki.reso.org/display/DDW17/PropertyType+Lookups
enum RESOLookupPropertyType: string
{
    case BusinessOpportunity = 'Business Opportunity';
    case CommercialLease = 'Commercial Lease';
    case CommercialSale = 'Commercial Sale';
    case Farm = 'Farm';
    case Land = 'Land';
    case ManufacturedInPark = 'Manufactured In Park';
    case Residential = 'Residential';
    case ResidentialIncome = 'Residential Income';
    case ResidentialLease = 'Residential Lease';

    public static function valuesArray($associative = false): array {
        $values = array_map(fn($case) => $case->value, self::cases());
        if ($associative) {
            return array_combine($values, $values);
        }
        return $values;
    }
}
